Subject: Re: [sipcore] Draft new version: draft-content-id-02 - Paul's comments

From: Christer Holmberg <[email-masked]>
Date: Wed, 26 Apr 2017 08:40:47 +0000

Hi,

Pull request based on Paul¹s comments:

https://github.com/cdh4u/draft-content-id/pull/4/files

Regards,

Christer

On 26/04/17 10:02, "sipcore on behalf of Christer Holmberg"
<[email-masked] on behalf of [email-masked]>
wrote:

>Hi Paul,
>
>Thanks for your comments! See inline.
>
>>General:
>>
>>Widely within the document the use of "refer" is a little off wrt
>>English usage. I suggest replacing it with "reference".
>
>Will fix as suggested.
>
>>Section 3.3:
>>
>>ISTM it would be better to say the content-id identifies all the
>>metadata identified by any header fields beginning with "Content-" as
>>well as header fields identified by the compact names "e", "l", and "c".
>>(I don't expect any Content-* header fields defined in the future will
>>get compact names.) This is future-proof, and is consistent with the
>>mime definition of Content-* headers.
>
>I am ok with your suggestion, but in addition to any Content-* header
>field, I believe we also need to mention the MIME-Version header field.
>
>Not sure if we need to mention the compact names - they represent
>Content-* header fields. We shall talk about the name of the header fields
>- not how they are encoded.
>
>
>Regards,
>
>Christer
>
>
>_______________________________________________
>sipcore mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/sipcore

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 26 Apr 2017 11:28:53 -0400

> https://github.com/cdh4u/draft-content-id/pull/4/files

There are still a bunch of instances of "refer" (or variants such as 
referred, referring) that ought to get the same treatment, including
the title line of section 1.2. Note that either "reference" or "refer 
to" will work.

	Thanks,
	Paul

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 27 Apr 2017 07:23:17 +0000

Hi,

Pull request updated.

Regards,

Christer

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 27 Apr 2017 13:35:09 -0400

> Christer

Looking good now. I'm down to just a nit:

Section 4:

    This section updates section 9.1 of [RFC5621], by allowing a Content-
    ID URL to reference a message-body and the related metadata
    (Section 3.3), in addition to allowing to reference to a body part.A

s/to allowing to/to allowing a/
s/.A/./

	Thanks,
	Paul

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 27 Apr 2017 18:04:53 +0000

Hi,

> s/to allowing to/to allowing a/

Will be fixed.

Thanks!

Regards,

Christer